Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceSessionAccount

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.VoiceSessionAccount

    public class VoiceSessionAccount
    extends java.lang.Object

Наработка сессии в секундах и денежном выражении по определенному договору.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceSessionAccount()` |
  `VoiceSessionAccount​(VoiceSession session, int serviceId, java.math.BigDecimal account, long amount)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getAccount()` | Получение значения наработки в денежном выражении.
  `long` | `getAmount()` | Получение значения наработки в секундах.
  `int` | `getContractId()` | Получение кода договора, наработку которого представляет данный объект.
  `int` | `getDeviceId()` |
  `java.util.Date` | `getHour()` |
  `int` | `getServiceId()` | Получение кода услуги, по которой было произведено начисление наработки.
  `long` | `getSessionId()` | Получение кода сессии, к которой привязана данная наработка.
  `void` | `setAccount​(java.math.BigDecimal account)` | Установка наработки в денежном выражении.
  `void` | `setAmount​(long amount)` | Установка наработки в секундах.
  `void` | `setContractId​(int contractId)` | Установка кода договора, наработку которого представляет данный объект.
  `void` | `setDeviceId​(int deviceId)` |
  `void` | `setHour​(java.util.Date hour)` |
  `void` | `setServiceId​(int serviceId)` | Установка кода услуги, по которой начисляется наработка.
  `void` | `setSessionId​(long sessionId)` | Установка кода сессии для наработки.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceSessionAccount

    public VoiceSessionAccount()

  - ### VoiceSessionAccount

    public VoiceSessionAccount​(VoiceSession session, int serviceId, java.math.BigDecimal account, long amount)

- ## Method Details

  - ### getContractId

    public int getContractId()
    Получение кода договора, наработку которого представляет данный объект.
    Returns:
      код договора.

  - ### setContractId

    public void setContractId​(int contractId)
    Установка кода договора, наработку которого представляет данный объект.
    Parameters:
      `contractId` - код договора.

  - ### getSessionId

    public long getSessionId()
    Получение кода сессии, к которой привязана данная наработка.
    Returns:
      код сессии.

  - ### setSessionId

    public void setSessionId​(long sessionId)
    Установка кода сессии для наработки.
    Parameters:
      `sessionId` - код сессии.

  - ### getServiceId

    public int getServiceId()
    Получение кода услуги, по которой было произведено начисление наработки. Данный код услуги совпадает с тем, что отображается в Редакторе модулей и услуг.
    Returns:
      код услуги.

  - ### setServiceId

    public void setServiceId​(int serviceId)
    Установка кода услуги, по которой начисляется наработка. Данный код услуги совпадает с тем, что отображается в Редакторе модулей и услуг.
    Parameters:
      `serviceId` - код услуги.

  - ### getAccount

    public java.math.BigDecimal getAccount()
    Получение значения наработки в денежном выражении.
    Returns:
      значение наработки в деньгах.

  - ### setAccount

    public void setAccount​(java.math.BigDecimal account)
    Установка наработки в денежном выражении.
    Parameters:
      `account` - значение наработки в деньгах.

  - ### getAmount

    public long getAmount()
    Получение значения наработки в секундах.
    Returns:
      наработка в секундах

  - ### setAmount

    public void setAmount​(long amount)
    Установка наработки в секундах.
    Parameters:
      `amount` - наработка в секундах.

  - ### getHour

    public java.util.Date getHour()

  - ### setHour

    public void setHour​(java.util.Date hour)

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public void setDeviceId​(int deviceId)